<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    public $incrementing = false;
    protected $table = 'role';

    protected $fillable = [
        'id',
        'nama',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function rUser()
    {
        return $this->belongsToMany(Users::class, 'idrole', 'id');
    }
}
