<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Users extends Model
{
    public $incrementing = false;
    protected $table = 'user';

    protected $fillable = [
        'id',
        'nama',
        'email',
        'password',
        'idrole',
        'idpegawai',
        'created_at',
        'updated_at',
    ];

    public function rRole()
    {
        return $this->hasOne(Role::class, 'idrole', 'id');
    }

    public function rPegawai()
    {
        return $this->belongsTo(Pegawai::class, 'idpegawai', 'id');
    }
}
